[#]: collector: (lujun9972)
[#]: translator: (way-ww)
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Best Linux Distributions For Everyone in 2019)
[#]: via: (https://itsfoss.com/best-linux-distributions/)
[#]: author: (Ankush Das https://itsfoss.com/author/ankush/)

Best Linux Distributions For Everyone in 2019
======

_**Brief: Which is the best Linux distribution? There is no definite answer to that question. This is why we have compiled this list of best Linux in various categories.**_

There are a lot of Linux distributions. I can’t even think of coming up with an exact number because you would find loads of Linux distros that differ from one another in one way or the other.

Some of them just turn out to be a clone of one another while some of them tend to be unique. So, it’s kind of a mess – but that is the beauty of Linux.

Fret not, even though there are thousands of distributions around, in this article, I have compiled a list of the best Linux distros available right now. Of course, the list can be subjective. But, here, we try to categorize the distros – so there’s something for everyone.

  * [Best distribution for new Linux users][1]
  * [Best Linux distros for servers][2]
  * [Best Linux distros that can run on old computers][3]
  * [Best distributions for advanced Linux users][4]
  * [Best evergreen Linux distributions][5]



**Note:** _The list is in no particular order of ranking._

### Best Linux Distributions for Beginners

In this category, we aim to list the distros which are easy-to-use out of the box. You do not need to dig deeper, you can just start using it right away after installation without needing to know any commands or tips.

#### Ubuntu

![][6]

Ubuntu is undoubtedly one of the most popular Linux distributions. You can even find it pre-installed on a lot of laptops available.

The user interface is easy to get comfortable with. If you play around, you can easily customize the look of it as per your requirements. In either case, you can opt to install a theme as well. You can learn more about [how to install themes in Ubuntu][7] to get started.

In addition to what it offers, you will find a huge online community of Ubuntu users. So, if you face an issue – head to any of the forums (or a subreddit) to ask for help. If you are looking for direct solutions in no time, you should check out our coverage on [Ubuntu][8] (where we have a lot of tutorials and recommendations for Ubuntu).

[Ubuntu][9]

#### Linux Mint

![Linux Mint 19 Cinnamon desktop screenshot][10]

Linux Mint Cinnamon is another popular Linux distribution among beginners. The default Cinnamon desktop resembles Windows XP and this is why many users opted for it when Windows XP was discontinued.

Linux Mint is based on Ubuntu and thus it has all the applications available for Ubuntu. The simplicity and ease of use is why it has become a prominent choice for new Linux users.

[Linux Mint][11]

#### elementary OS

![][12]

elementary OS is one of the most beautiful Linux distros I’ve ever used. The UI resembles that of Mac OS – so if you have already used a Mac-powered system, it’s easy to get comfortable with.

This distribution is based on Ubuntu and focuses to deliver a user-friendly Linux environment which looks as pretty as possible while keeping the performance in mind. If you choose to install elementary OS, a list of [11 things to do after installing elementary OS][13] should come in handy.

[elementary OS][14]

#### MX Linux

![][15]

MX Linux came in the limelight almost a year ago. Now (at the time of publishing this), it is the most popular Linux distro on [DistroWatch.com][16]. If you haven’t used it yet – you will be surprised when you get to use it.

Unlike Ubuntu, MX Linux is a [rolling release distribution][17] based on Debian with Xfce as its desktop environment. In addition to its impeccable stability – it comes packed with a lot of GUI tools which makes it easier for any user comfortable with Windows/Mac originally.

Also, the package manager is perfectly tailored to facilitate one-click installations. You can even search for [Flatpak][18] packages and install it in no time (Flathub is available by default in the package manager as one of the sources).

[MX Linux][19]

#### Zorin OS

![][20]

Zorin OS is yet another Ubuntu-based distribution which happens to be one of the most good-looking and intuitive OS for desktop. Especially, after [Zorin OS 15 release][21] – I would definitely recommend it for users without any Linux background. A lot of GUI-based applications comes baked in as well.

You can also install it on older PCs – however, make sure to choose the “Lite” edition. In addition, you have “Core”, “Education” &amp; “Ultimate” editions. You can choose to install the Core edition for free – but if you want to support the developers and help improve Zorin, consider getting the Ultimate edition.

Zorin OS was started by two teenagers based in Ireland. You may [read their story here][22].

[Zorin OS][23]

**Other Options**

[Deepin][24] and other flavors of Ubuntu (like Kubuntu, Xubuntu) could also be some of the preferred choices for beginners. You can take a look at them if you want to explore more options.

If you want a challenge, you can indeed try Fedora over Ubuntu – but make sure to follow our article on [Ubuntu vs Fedora][25] to make a better decision from the desktop point of view.

### Best Linux Server Distributions

For servers, the choice of a Linux distro comes down to stability, performance, and enterprise support. If you are just experimenting, you can try any distro you want.

But, if you are installing it for a web server or anything vital – you should take a look at some of our recommendations.

#### Ubuntu Server

Depending on where you want it, Ubuntu provides different options for your server. If you are looking for an optimized solution to run on AWS, Azure, Google Cloud Platform, etc., [Ubuntu Cloud][26] is the way to go.

In either case, you can opt for Ubuntu Server packages and have it installed on your server. Nevertheless, Ubuntu is the most popular Linux distro when it comes to deployment on the cloud (judging by the numbers – [source 1][27], [source 2][28]).

Do note that we recommend you to go for the LTS editions – unless you have specific requirements.

[Ubuntu Server][29]

#### Red Hat Enterprise Linux

Red Hat Enterprise Linux is a top-notch Linux platform for businesses and organizations. If we go by the numbers, Red Hat may not be the most popular choice for servers. But, there’s a significant group of enterprise users who rely on RHEL (like Lenovo).

Technically, Fedora and Red Hat are related. Whatever Red Hat supports – gets tested on Fedora before making it available for RHEL. I’m not an expert on server distributions for tailored requirements – so you should definitely check out their [official documentation][30] to know if it’s suitable for you.

[Red Hat Enterprise Linux][31]

#### SUSE Linux Enterprise Server

![Suse Linux Enterprise \(Image: Softpedia\)][32]

Fret not, do not confuse this with OpenSUSE. Everything comes under a common brand “SUSE” – but OpenSUSE is an open-source distro targeted and yet, maintained by the community.

SUSE Linux Enterprise Server is one of the most popular solutions for cloud-based servers. You will have to opt for a subscription in order to get priority support and assistance to manage your open source solution.

[SUSE Linux Enterprise Server][33]

#### CentOS

![][34]

As I mentioned, you need a subscription for RHEL. But, CentOS is more like a community edition of RHEL because it has been derived from the sources of Red Hat Enterprise Linux. And, it is open source and free as well. Even though the number of hosting providers using CentOS is significantly less compared to the last few years – it still is a great choice.

CentOS may not come loaded with the latest software packages – but it is considered as one of the most stable distros. You should find CentOS images on a variety of cloud platforms. If you don’t, you can always opt for the self-hosted image that CentOS provides.

[CentOS][35]

**Other Options**

You can also try exploring [Fedora Server][36] or [Debian][37] as alternatives to some of the distros mentioned above.

![Coding][38]

![Coding][38]

If you are into programming and software development check out the list of

[Best Linux Distributions for Programmers][39]

![Hacking][40]

![Hacking][40]

Interested in learning and practicing cyber security? Check out the list of

[Best Linux Distribution for Hacking and Pen-Testing][41]

### Best Linux Distributions for Older Computers

If you have an old PC laying around or if you didn’t really need to upgrade your system – you can still try some of the best Linux distros available.

We’ve already talked about some of the [best lightweight Linux distributions][42] in details. Here, we shall only mention what really stands out from that list (and some new additions).

#### Puppy Linux

![][43]

Puppy Linux is literally one of the smallest distribution there is. When I first started to explore Linux, my friend recommended me to experiment with Puppy Linux because it can run on older hardware configurations with ease.

It’s worth checking it out if you want a snappy experience on your good old PC. Over the years, the user experience has improved along with the addition of several new useful features.

[Puppy Linux][44]

#### Solus Budgie

![][45]

After a recent major release – [Solus 4 Fortitude][46] – it is an impressive lightweight desktop OS. You can opt for desktop environments like GNOME or MATE. However, Solus Budgie happens to be one of my favorites as a full-fledged Linux distro for beginners while being light on system resources.

[Solus][47]

#### Bodhi

![][48]

Bodhi Linux is built on top of Ubuntu. However, unlike Ubuntu – it does run well on older configurations.

The main highlight of this distro is its [Moksha Desktop][49] (which is a continuation of Enlightenment 17 desktop). The user experience is intuitive and screaming fast. Even though it’s not something for my personal use – you should give it a try on your older systems.

[Bodhi Linux][50]

#### antiX

![][51]

antiX – which is also partially responsible for MX Linux is a lightweight Linux distribution tailored for old and new computers. The UI isn’t impressive – but it works as expected.

It is based on Debian and can be utilized as a live CD distribution without needing to install it. antiX also provides live bootloaders. In contrast to some other distros, you get to save the settings so that you don’t lose it with every reboot. Not just that, you can also save changes to the root directory with its “Live persistence” feature.

So, if you are looking for a live-USB distro to provide a snappy user experience on old hardware – antiX is the way to go.

[antiX][52]

#### Sparky Linux

![][53]

Sparky Linux is based on Debian which turns out to be a perfect Linux distro for low-end systems. Along with a screaming fast experience, Sparky Linux offers several special editions (or varieties) for different users.

For example, it provides a stable release (with varieties) and rolling releases specific to a group of users. Sparky Linux GameOver edition is quite popular for gamers because it includes a bunch of pre-installed games. You can check out our list of [best Linux Gaming distributions][54] – if you also want to play games on your system.

#### Other Options

You can also try [Linux Lite][55], [Lubuntu][56], and [Peppermint][57] as some of the lightweight Linux distributions.

### Best Linux Distro for Advanced Users

Once you get comfortable with the variety of package managers and commands to help troubleshoot your way to resolve any issue, you can start exploring Linux distros which are tailored for Advanced users only.

Of course, if you are a professional – you will have a set of specific requirements. However, if you’ve been using Linux for a while as a common user – these distros are worth checking out.

#### Arch Linux

![Image Credits: Samiuvic / Deviantart][58]

Arch Linux is itself a simple yet powerful distribution with a huge learning curve. Unlike others, you won’t have everything pre-installed in one go. You have to configure the system and add packages as needed.

Also, when installing Arch Linux, you will have to follow a set of commands (without GUI). To know more about it, you can follow our guide on [how to install Arch Linux][59]. If you are going to install it, you should also know about some of the [essential things to do after installing Arch Linux][60]. It will help you get a jump start.

In addition to all the versatility and simplicity, it’s worth mentioning that the community behind Arch Linux is very active. So, if you run into a problem, you don’t have to worry.

[Arch Linux][61]

#### Gentoo

![Gentoo Linux][62]

If you know how to compile the source code, Gentoo Linux is a must-try for you. It is also a lightweight distribution – however, you need to have the required technical knowledge to make it work.

Of course, the [official handbook][63] provides a lot of information that you need to know. But, if you aren’t sure what you’re doing – it will take a lot of your time to figure out how to make the most out of it.

[Gentoo Linux][64]

#### Slackware

![Image Credits: thundercr0w / Deviantart][65]

Slackware is one of the oldest Linux distribution that still matters. If you are willing to compile or develop software to set up a perfect environment for yourself – Slackware is the way to go.

In case you’re curious about some of the oldest Linux distros, we have an article on the [earliest linux distributions][66] – go check it out.

Even though the number of users/developers utilizing it has significantly decreased, it is still a fantastic choice for advanced users. Also, with the recent news of [Slackware getting a Patreon page][67] – we hope that Slackware continues to exist as one of the best Linux distros out there.

[Slackware][68]

### Best Multi-purpose Linux Distribution

There are certain Linux distros which you can utilize as a beginner-friendly / advanced OS for both desktops and servers. Hence, we thought of compiling a separate section for such distributions.

If you don’t agree with us (or have suggestions to add here) – feel free to let us know in the comments. Here’s what we think could come in handy for every user:

#### Fedora

![][69]

Fedora offers two separate editions – one for desktops/laptops and the other for servers (Fedora Workstation and Fedora Server respectively).

So, if you are looking for a snappy desktop OS – with a potential learning curve while being user-friendly – Fedora is an option. In either case, if you are looking for a Linux OS for your server – that’s a good choice as well.

[Fedora][70]

#### Manjaro

![][71]

Manjaro is based on [Arch Linux][72]. Fret not, while Arch Linux is tailored for advanced users, Manjaro makes it easy for a newcomer. It is a simple and beginner-friendly Linux distro. The user interface is good enough and offers a bunch of useful GUI applications built-in.

You get options to choose a [desktop environment][73] for Manjaro while downloading it. Personally, I like the KDE desktop for Manjaro.

[Manjaro Linux][74]

### Debian

![Image Credits: mrneilypops / Deviantart][75]

Well, Ubuntu’s based on Debian – so it must be a darn good distribution itself. Debian is an ideal choice for both desktop and servers.

It may not be the best beginner-friendly OS – but you can easily get started by going through the [official documentation][76]. The recent release of [Debian 10 Buster][77] introduces a lot of changes and necessary improvements. So, you must give it a try!

**Wrapping Up**

Overall, these are the best Linux distributions that we recommend you to try. Yes, there are a lot of other Linux distributions that deserve the mention – but to each of their own, depending on personal preferences – the choices will be subjective.

But, we also have a separate list of distros for [Windows users][78], [hackers and pen testers][41], [gamers][54], [programmers][39], and [privacy buffs.][79] So, if that interest you – do go through them.

If you think we missed listing one of your favorites that deserves as one of the best Linux distributions out there, let us know your thoughts in the comments below and we’ll keep the article up-to-date accordingly.

--------------------------------------------------------------------------------

via: https://itsfoss.com/best-linux-distributions/

作者：[Ankush Das][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/ankush/
[b]: https://github.com/lujun9972
[1]: tmp.NoRXbIWHkg#for-beginners
[2]: tmp.NoRXbIWHkg#for-servers
[3]: tmp.NoRXbIWHkg#for-old-computers
[4]: tmp.NoRXbIWHkg#for-advanced-users
[5]: tmp.NoRXbIWHkg#general-purpose
[6]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/01/install-google-chrome-ubuntu-10.jpg?ssl=1
[7]: https://itsfoss.com/install-themes-ubuntu/
[8]: https://itsfoss.com/tag/ubuntu/
[9]: https://ubuntu.com/download/desktop
[10]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/08/linux-Mint-19-desktop.jpg?ssl=1
[11]: https://www.linuxmint.com/
[12]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/08/elementary-os-juno-feat.jpg?ssl=1
[13]: https://itsfoss.com/things-to-do-after-installing-elementary-os-5-juno/
[14]: https://elementary.io/
[15]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/08/mx-linux.jpg?ssl=1
[16]: https://distrowatch.com/
[17]: https://en.wikipedia.org/wiki/Linux_distribution#Rolling_distributions
[18]: https://flatpak.org/
[19]: https://mxlinux.org/
[20]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/08/zorin-os-15.png?ssl=1
[21]: https://itsfoss.com/zorin-os-15-release/
[22]: https://itsfoss.com/zorin-os-interview/
[23]: https://zorinos.com/
[24]: https://www.deepin.org/en/
[25]: https://itsfoss.com/ubuntu-vs-fedora/
[26]: https://ubuntu.com/download/cloud
[27]: https://w3techs.com/technologies/details/os-linux/all/all
[28]: https://thecloudmarket.com/stats
[29]: https://ubuntu.com/download/server
[30]: https://developers.redhat.com/products/rhel/docs-and-apis
[31]: https://www.redhat.com/en/technologies/linux-platforms/enterprise-linux
[32]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/08/SUSE-Linux-Enterprise.jpg?ssl=1
[33]: https://www.suse.com/products/server/
[34]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/08/centos.png?ssl=1
[35]: https://www.centos.org/
[36]: https://getfedora.org/en/server/
[37]: https://www.debian.org/distrib/
[38]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/08/coding.jpg?ssl=1
[39]: https://itsfoss.com/best-linux-distributions-progammers/
[40]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/08/hacking.jpg?ssl=1
[41]: https://itsfoss.com/linux-hacking-penetration-testing/
[42]: https://itsfoss.com/lightweight-linux-beginners/
[43]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/08/puppy-linux-bionic.jpg?ssl=1
[44]: http://puppylinux.com/
[45]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/03/solus-4-featured.jpg?resize=800%2C450&ssl=1
[46]: https://itsfoss.com/solus-4-release/
[47]: https://getsol.us/home/
[48]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/08/bodhi-linux.png?fit=800%2C436&ssl=1
[49]: http://www.bodhilinux.com/moksha-desktop/
[50]: http://www.bodhilinux.com/
[51]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2017/10/antix-linux-screenshot.jpg?ssl=1
[52]: https://antixlinux.com/
[53]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/08/sparky-linux.jpg?ssl=1
[54]: https://itsfoss.com/linux-gaming-distributions/
[55]: https://www.linuxliteos.com/
[56]: https://lubuntu.me/
[57]: https://peppermintos.com/
[58]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/08/arch_linux_screenshot.jpg?ssl=1
[59]: https://itsfoss.com/install-arch-linux/
[60]: https://itsfoss.com/things-to-do-after-installing-arch-linux/
[61]: https://www.archlinux.org
[62]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/08/gentoo-linux.png?ssl=1
[63]: https://wiki.gentoo.org/wiki/Handbook:Main_Page
[64]: https://www.gentoo.org
[65]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/08/slackware-screenshot.jpg?ssl=1
[66]: https://itsfoss.com/earliest-linux-distros/
[67]: https://distrowatch.com/dwres.php?resource=showheadline&story=8743
[68]: http://www.slackware.com/
[69]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/08/fedora-overview.png?ssl=1
[70]: https://getfedora.org/
[71]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/08/manjaro-gnome.jpg?ssl=1
[72]: https://www.archlinux.org/
[73]: https://itsfoss.com/glossary/desktop-environment/
[74]: https://manjaro.org/
[75]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/08/debian-screenshot.png?ssl=1
[76]: https://www.debian.org/releases/stable/installmanual
[77]: https://itsfoss.com/debian-10-buster/
[78]: https://itsfoss.com/windows-like-linux-distributions/
[79]: https://itsfoss.com/privacy-focused-linux-distributions/
