[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (6 Open Source Paint Applications for Linux Users)
[#]: via: (https://itsfoss.com/open-source-paint-apps/)
[#]: author: (Ankush Das https://itsfoss.com/author/ankush/)

6 Open Source Paint Applications for Linux Users
======

As a child, when I started using computer (with Windows XP), my favorite application was Paint. I spent hours doodling on it. Surprisingly, children still love the paint apps. And not just children, the simple paint app comes handy in a number of situations.

You will find a bunch of applications that let you draw/paint or manipulate images. However, some of them are proprietary. While you’re a Linux user – why not focus on open source paint applications?

In this article, we are going to list some of the best open source paint applications which are worthy alternatives to proprietary painting software available on Linux.

### Open Source paint &amp; drawing applications

![][1]

**Note:** _The list is in no particular order of ranking._

#### 1\. Pinta

![][2]

Key Highlights:

  * Great alternative to Paint.NET / MS Paint
  * Add-on support (WebP Image support available)
  * Layer Support



[Pinta][3] is an impressive open-source paint application which is perfect for drawing and basic image editing. In other words, it is a simple paint application with some fancy features.

You may consider [Pinta][4] as an alternative to MS Paint on Linux – but with layer support and more. Not just MS Paint, but it acts as a Linux replacement for Paint.NET software available for Windows. Even though Paint.NET is better – Pinta seems to be a decent alternative to it.

A couple of add-ons can be utilized to enhance the functionality, like the [support for WebP images on Linux][5]. In addition to the layer support, you can easily resize the images, add effects, make adjustments (brightness, contrast, etc.), and also adjust the quality when exporting the image.

#### How to install Pinta?

You should be able to easily find it in the Software Center / App Center / Package Manager. Just type in “**Pinta**” and get started installing it. In either case, try the [Flatpak][6] package.

Or, you can enter the following command in the terminal (Ubuntu/Debian):

```
sudo apt install pinta
```

For more information on the download packages and installation instructions, refer the [official download page][7].

#### 2\. Krita

![][8]

Key Highlights:

  * HDR Painting
  * PSD Support
  * Layer Support
  * Brush stabilizers
  * 2D Animation



Krita is one of the most advanced open source paint applications for Linux. Of course, for this article, it helps you draw sketches and wreak havoc upon the canvas. But, in addition to that, it offers a whole lot of features.

[][9]

Suggested read  Things To Do After Installing Fedora 24

For instance, if you have a shaky hand, it can help you stabilize the brush strokes. You also get built-in vector tools to create comic panels and other interesting things. If you are looking for a full-fledged color management support, drawing assistants, and layer management, Krita should be your preferred choice.

#### How to install Krita?

Similar to pinta, you should be able to find it listed in the Software Center/App Center or the package manager. It’s also available in the [Flatpak repository][10].

Thinking to install it via terminal? Type in the following command:

```
sudo apt install krita
```

In either case, you can head down to their [official download page][11] to get the **AppImage** file and run it.

If you have no idea on AppImage files, check out our guide on – [how to use AppImage][12].

#### 3\. Tux Paint

![][13]

Key Highlights:

  * A no-nonsense paint application for kids



I’m not kidding, Tux Paint is one of the best open-source paint applications for kids between 3-12 years of age. Of course, you do not want options when you want to just scribble. So, Tux Paint seems to be the best option in that case (even for adults!).

#### How to install Tuxpaint?

Tuxpaint can be downloaded from the Software Center or Package manager. In either case, to install it on Ubuntu/Debian, type in the following command in the terminal:

```
sudo apt install tuxpaint
```

For more information on it, head to the [official site][14].

#### 4\. Drawpile

![][15]

Key Highlights:

  * Collaborative Drawing
  * Built-in chat to interact with other users
  * Layer support
  * Record drawing sessions



Drawpile is an interesting open-source paint application where you get to collaborate with other users in real-time. To be precise, you can simultaneously draw in a single canvas. In addition to this unique feature, you have the layer support, ability to record your drawing session, and even a chat facility to interact with the users collaborating.

You can host/join a public session or start a private session with your friend which requires a code. By default, the server will be your computer. But, if you want a remote server, you can select it as well.

Do note, that you will need to [sign up for a Drawpile account][16] in order to collaborate.

#### How to install Drawpile?

As far as I’m aware of, you can only find it listed in the [Flatpak repository][17].

[][18]

Suggested read  OCS Store: One Stop Shop All of Your Linux Software Customization Needs

#### 5\. MyPaint

![][19]

Key Highlights:

  * Easy-to-use tool for digital painters
  * Layer management support
  * Lots of options to tweak your brush and drawing



[MyPaint][20] is a simple yet powerful tool for digital painters. It features a lot of options to tweak in order to make the perfect digital brush stroke. I’m not much of a digital artist (but a scribbler) but I observed quite a few options to adjust the brush, the colors, and an option to add a scratchpad panel.

It also supports layer management – in case you want that. The latest stable version hasn’t been updated for a few years now, but the recent alpha build (which I tested) works just fine. If you are looking for an open source paint application on Linux – do give this a try.

#### How to install MyPaint?

MyPaint is available in the official repository. However, that’s the old version. If you still want to proceed, you can search for it in the Software Center or type the following command in the terminal:

```
sudo apt install mypaint
```

You can head to its official [GitHub release page][21] for the latest alpha build and get the [AppImage file][12] (any version) to make it executable and launch the app.

#### 6\. KolourPaint

![][22]

Key Highlights:

  * A simple alternative to MS Paint on Linux
  * No layer management support



If you aren’t looking for any Layer management support and just want an open source paint application to draw stuff – this is it.

[KolourPaint][23] is originally tailored for KDE desktop environments but it works flawlessly on others too.

#### How to install KolourPaint?

You can install KolourPaint right from the Software Center or via the terminal using the following command:

```
sudo apt install kolourpaint4
```

In either case, you can utilize [Flathub][24] as well.

**Wrapping Up**

If you are wondering about applications like GIMP/Inkscape, we have those listed in another separate article on the [best Linux Tools for digital artists][25]. If you’re curious about more options, I recommend you to check that out.

Here, we try to compile a list of best open source paint applications available for Linux. If you think we missed something, feel free to tell us about it in the comments section below!

--------------------------------------------------------------------------------

via: https://itsfoss.com/open-source-paint-apps/

作者：[Ankush Das][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/ankush/
[b]: https://github.com/lujun9972
[1]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/09/open-source-paint-apps.png?resize=800%2C450&ssl=1
[2]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/09/pinta.png?ssl=1
[3]: https://pinta-project.com/pintaproject/pinta/
[4]: https://itsfoss.com/pinta-1-6-ubuntu-linux-mint/
[5]: https://itsfoss.com/webp-ubuntu-linux/
[6]: https://www.flathub.org/apps/details/com.github.PintaProject.Pinta
[7]: https://pinta-project.com/pintaproject/pinta/releases
[8]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/09/krita-paint.png?ssl=1
[9]: https://itsfoss.com/things-to-do-after-installing-fedora-24/
[10]: https://www.flathub.org/apps/details/org.kde.krita
[11]: https://krita.org/en/download/krita-desktop/
[12]: https://itsfoss.com/use-appimage-linux/
[13]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/09/tux-paint.jpg?ssl=1
[14]: http://www.tuxpaint.org/
[15]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/09/drawpile.png?ssl=1
[16]: https://drawpile.net/accounts/signup/
[17]: https://flathub.org/apps/details/net.drawpile.drawpile
[18]: https://itsfoss.com/ocs-store/
[19]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/09/mypaint.png?ssl=1
[20]: https://mypaint.org/
[21]: https://github.com/mypaint/mypaint/releases
[22]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/09/kolourpaint.png?ssl=1
[23]: http://kolourpaint.org/
[24]: https://flathub.org/apps/details/org.kde.kolourpaint
[25]: https://itsfoss.com/best-linux-graphic-design-software/
